import java.awt.Point;

import org.lwjgl.input.Keyboard;


public class BoundingBox {
    private double x1, y1;   // lower left
    private double x2, y2;   // upper right
   
    public BoundingBox(double x1, double y1, double x2, double y2) {
        this.x1 = Math.min(x1, x2);
        this.x2 = Math.max(x1, x2);
        this.y1 = Math.min(y1, y2);
        this.y2 = Math.max(y1, y2);
    }

    public BoundingBox(Point p, Point q) {
        this(p.x, p.y, q.x, q.y);
    }

    // random rectangle in unit square
    public BoundingBox() {
        this(new Point(), new Point());
    }

    // is Point p inside this BoundingBox?
    public boolean contains(Point p) {
        return (p.x >= x1 && p.x <= x2 && p.y >= y1 && p.y <= y2);
    }

    // does this BoundingBox r intersect s?
    public boolean intersects(BoundingBox s) {
    	boolean collision = false;

        BoundingBox r = this;
    	double x1past = r.x1;
    	double x2past = r.x2;
    	double y1past = r.y1;
    	double y2past = r.y2;
		if (Keyboard.isKeyDown(Keyboard.KEY_LEFT)) {
			r.x1 += -4;
			r.x2 += -4;
		}
		if (Keyboard.isKeyDown(Keyboard.KEY_RIGHT)){
			r.x1 += 4;
			r.x2 += 4;
		
		}
		if (Keyboard.isKeyDown(Keyboard.KEY_UP)) {
			r.y1 += -4;
			r.y2 += -4;
		
		}
		if (Keyboard.isKeyDown(Keyboard.KEY_DOWN)) {
			r.y1 += 4;
			r.y2 += 4;

		}
		if (r.x2 >= s.x1 && r.y2 >= s.y1 && s.x2 >= r.x1 && s.y2 >= r.y1) {
			collision = true;
		}
    	r.x1 = x1past;
    	r.x2 = x2past;
    	r.y1 = y1past;
    	r.y2 = y2past;
        return (collision);
    }


    // return the area
    public double area() {
        return (x2 - x1) * (y2 - y1);
    }

    // return the area
    public String toString() {
        return "[(" + x1 + ", " + y1 + ") (" + x2 + ", " + y2 + ")]";
    }
    public void setBoundingBox(double x1, double y1, double x2, double y2){
        this.x1 = Math.min(x1, x2);
        this.x2 = Math.max(x1, x2);
        this.y1 = Math.min(y1, y2);
        this.y2 = Math.max(y1, y2);
    }


	public void move(){
		

		
		}

}
