import java.awt.Font;

import org.lwjgl.input.Mouse;
import org.lwjgl.opengl.Display;
import org.newdawn.slick.Color;
import org.newdawn.slick.TrueTypeFont;
import org.newdawn.slick.opengl.Texture;

import static helpers.Artist.DrawQuadTex;
import static helpers.Artist.QuickLoadTexture;

public class Button extends BoundingBox {
	private final int BOX_DIM = 32;
	Texture tex;
	BoundingBox clickBox;
	BoundingBox mouse;
	private int x,y;
	private int levelStatetoSet;
	TrueTypeFont font;
	String label;
	
	public Button(int x, int y, int levelStatetoSet,String buttonLabel) {
		label = buttonLabel;
		this.levelStatetoSet = levelStatetoSet;
		this.x = x;
		this.y = y;
		clickBox = new BoundingBox();
		mouse = new BoundingBox();
		clickBox.setBoundingBox(x, y, x+BOX_DIM, y+BOX_DIM);
		mouse.setBoundingBox(x, y, x+BOX_DIM, y+BOX_DIM);
		
	}

	public void init(){
	    Font awtFont = new Font("Comic Sans MS", Font.BOLD, 20);
	    font = new TrueTypeFont(awtFont, false);
	    
		tex = QuickLoadTexture("Button");
		
	}
	public void render(){
		DrawQuadTex(tex, x, y, BOX_DIM, BOX_DIM);
	    font.drawString(x+10, y,label, Color.white);
		mouse.setBoundingBox(Mouse.getX(),Display.getHeight()- Mouse.getY(),Mouse.getX()+10, Display.getHeight()-Mouse.getY());
		checkClick();
		
	}
	public void checkClick(){
		if (mouse.intersects(clickBox)&& Mouse.isButtonDown(0)) {
			//System.out.println("YOU CLICKED THE BOX!!!!");
			Game.setLevelState(levelStatetoSet);
		}
	}
}
