import static helpers.Artist.SetUp;

import java.io.IOException;
import java.util.ArrayList;

import org.lwjgl.openal.AL;
import org.lwjgl.opengl.Display;
import org.lwjgl.opengl.GL11;
import org.newdawn.slick.openal.Audio;
import org.newdawn.slick.openal.AudioLoader;
import org.newdawn.slick.opengl.Texture;
import org.newdawn.slick.util.ResourceLoader;

import static helpers.Artist.DrawQuadTex;
import static helpers.Artist.QuickLoadTexture;

public class Game {
	
public static int levelState = 0;
public static Audio music;
	public static void main(String[] args) throws IOException {
		SetUp(768, 768);
		Level currentLevel;
		Texture loading = QuickLoadTexture("Loading");
		Texture bar = QuickLoadTexture("LoadingBar");
		ArrayList<Level> levelArray = new ArrayList<Level>();
		LevelSelect l0 = new LevelSelect();
		Level1 l1 = new Level1();
		Level2 l2 = new Level2(); 
		Level3 l3 = new Level3();
		LevelWon LW = new LevelWon();
		levelArray.add(l0);
		levelArray.add(l1);
		levelArray.add(l2);
		levelArray.add(l3);
		levelArray.add(LW);
		//Loading Screen while assets load in;
		for (int i = 0; i < levelArray.size(); i++) {
			Display.setTitle("LavaJava");
			Display.sync(60);
			DrawQuadTex(loading, 0, 0, 1100, 1100);
			DrawQuadTex(bar, 225, 378, 83*i, 36);//Magical numbers
			Display.update();
			levelArray.get(i).init();//Load Assets for each level
		}
		//Done Loading
		
		music = AudioLoader.getAudio("WAV", ResourceLoader.getResourceAsStream("res/Sound.wav"));
		music.playAsMusic(1.0f, 1.0f, true);
		//initialize outside of the loop or else this shit gets really slow
		while(!Display.isCloseRequested()){
			Display.setTitle("LavaJava");
			Display.sync(60);
			GL11.glClear(GL11.GL_COLOR_BUFFER_BIT | GL11.GL_DEPTH_BUFFER_BIT);

			//Check collisions before you move or the player gets his ass lodged in a wall for eternity 
			currentLevel = levelArray.get(levelState);
			currentLevel.render();
			//System.out.println(levelState);
			
			
			Display.update();
		}
		Display.destroy();
		AL.destroy();
	}
	
	public static void setLevelState(int newState){
		Game.levelState = newState;

	}
	public int getState(){
		return levelState;
	}

}
