import java.util.ArrayList;
/*
Map Template
{{1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1},
{1,1,1,1,1,1,1,1,1,1,1,1}}
 */


public class Map extends BoundingBox{
	//map is 12 tiles by 12 tiles
	//1 indicates a wall
	//2 indicates grass
	int[][] mapDesign;
	ArrayList<Tile> tileArray = new ArrayList<Tile>();
	
	public Map(int[][] mapDesign) {
		this.mapDesign = mapDesign;
		
		}
	
	public void buildMap()
	{
		for (int i = 0; i < mapDesign.length; i++)
		{
			for (int j = 0; j < mapDesign.length; j++) 
			{
			
				if (mapDesign[i][j] == 1)
				{
					tileArray.add(new Grass(j*64,i*64));		
				}
				if (mapDesign[i][j] == 2) 
				{
					tileArray.add(new Wall(j*64,i*64));	
				}
				if (mapDesign[i][j] == 3) {
					tileArray.add(new Lava(j*64,i*64));	
				}
				if (mapDesign[i][j] == 4) {
					tileArray.add(new SwitchTile2(j*64,i*64));	
				}
				if (mapDesign[i][j] == 5) {
					tileArray.add(new SwitchTile1(j*64,i*64));	
				}
				if (mapDesign[i][j] == 6) {
					tileArray.add(new SwitchTile3(j*64,i*64));	
				}
				if (mapDesign[i][j] == 7) {
					tileArray.add(new SwitchTileRandom(j*64,i*64));	
				}
				if (mapDesign[i][j] == 8) {
					tileArray.add(new WinTile(j*64,i*64));	
				}
				
			}
			
		}

		
	}

	public void init()
	{
		for (int i = 0; i < tileArray.size(); i++)
		{
			tileArray.get(i).init();
			
		}	
	}	
	public void render()
	{
		for (int i = 0; i < tileArray.size(); i++)
		{
			tileArray.get(i).render();
		}
	}
	
	public Tile getTile(int index){
		return tileArray.get(index);
		
	}
	public ArrayList<Tile> getTileArray(){
		return tileArray;
	}


	}


