import org.lwjgl.Sys;


public class SwitchTileRandom extends BoundingBox implements Tile{
	private static int TILE_DIM = 64;
	private int x,y;
	private BoundingBox hitBox;
	
	private Lava lava;
	private Grass grass;
	private int timePassed = 0;
	private long lastFrame = getTime();
	private boolean killer;
	private int randGen = (int)(Math.random()*1998); // Generate a random integer between 0,1998

	public SwitchTileRandom(int x, int y){
		this.x = x;
		this.y = y;
		
		lava = new Lava(x, y);
		grass = new Grass(x, y);
		//hitBox.setBoundingBox(x1(), y1(), x2(), y2());
		hitBox = new BoundingBox(x,y,x+ TILE_DIM,y + TILE_DIM);
	}

	@Override
	public void init() {
		// TODO Auto-generated method stub
		lava.init();
		grass.init();
	}

	@Override
	public void render() {
		// TODO Auto-generated method stub
		//time then render
		//switch can kill
		
		timePassed = (int)(getTime()-lastFrame);

		
		if (timePassed <= randGen) {
			grass.render();
			this.setIsCanKillPlayer(false);
		}
		
		if(timePassed > (randGen+1)){
			lava.render();
			this.setIsCanKillPlayer(true);
		}

		if (timePassed >= 2000) {
			timePassed = 0;
			lastFrame = getTime();
			randGen = (int)(Math.random()*1998);
		}
		
		
	}
	
	public long getTime() {
	    return (Sys.getTime() * 1000) / Sys.getTimerResolution();
	}

	@Override
	public int x1() {
		
		return x;
	}

	@Override
	public int x2() {
		
		return x + TILE_DIM;
	}

	@Override
	public int y1() {
		
		return y;
	}

	@Override
	public int y2() {
		
		return y + TILE_DIM;
	}

	@Override
	public boolean isCollidable() {
		// TODO Auto-generated method stub
		return false;
	}

	@Override
	public boolean isCanKillPlayer() {
		// TODO Auto-generated method stub
		
		return killer;
	}
	
	public boolean setIsCanKillPlayer(boolean k) {
		// TODO Auto-generated method stub
		killer = k;
		return killer;
	}

	public BoundingBox getBoundingBox() {
		return hitBox;
	}

	@Override
	public boolean isWin() {
		// TODO Auto-generated method stub
		return false;
	}
}
