import static helpers.Artist.DrawQuadTex;
import static helpers.Artist.QuickLoadTexture;
import org.newdawn.slick.opengl.Texture;

public class Wall extends BoundingBox implements Tile {
	private final int TILEID = 1;
	private final String WALL_TEX = "Wall64";
	public final static int WALL_DIM = 64;
	Texture wall;
	int x,y;
	private final boolean collidable = true;
	private final boolean canKillPlayer = false;
	BoundingBox hitBox;

	public Wall(int x, int y) {
		hitBox  = new BoundingBox(x, y, x + WALL_DIM, y + WALL_DIM);
		this.x = x;
		this.y = y;
		
	}
	public void init(){
		wall = QuickLoadTexture(WALL_TEX);
	}
	public void render(){
		DrawQuadTex(wall, x, y, WALL_DIM, WALL_DIM);
		
	}
	
	public boolean isCollidable(){
		return collidable;
	}
	//Corners of wall for collision detection
	public int x1(){
	 return x;
	}
	public int x2(){
	 return x + WALL_DIM;
	}
	public int y1(){
		return y;
		
	}
	public int y2(){
		return y + WALL_DIM;
	}
	public int getTILEID() {
		return TILEID;
	}
	public BoundingBox getBoundingBox(){
		return hitBox;
	}

	public boolean isCanKillPlayer() {
		return canKillPlayer;
	}
	@Override
	public boolean isWin() {
		// TODO Auto-generated method stub
		return false;
	}
}
