import static helpers.Artist.DrawQuadTex;
import static helpers.Artist.QuickLoadTexture;
import org.newdawn.slick.opengl.Texture;


public class WinTile extends BoundingBox implements Tile {
	private final boolean collidable = false;
	private final int TILEID = 2;
	private static int TILE_DIM = 64;
	private int x,y;
	private BoundingBox hitBox;
	Texture tex;
	private final boolean canKillPlayer = false;
	
	public WinTile(int x,int y){
		hitBox = new BoundingBox(x,y,x+ TILE_DIM,y + TILE_DIM);
		this.x = x;
		this.y = y;
		
	}
	
	public void init(){
		tex = QuickLoadTexture("Spawn64");
	}
	public void render(){
		DrawQuadTex(tex, x, y, TILE_DIM, TILE_DIM);
		
	}
	public int x1(){
		return x;
	}
	public int x2(){
		return x + TILE_DIM;
	}
	public int y1(){
		return y;
	}
	public int y2(){
		return y+TILE_DIM;
	}

	public int getTILEID() {
		return TILEID;
	}

	public boolean isCollidable() {
		return collidable;
	}

	public BoundingBox getBoundingBox() {
		return hitBox;
	}

	public boolean isCanKillPlayer() {
		return canKillPlayer;
	}

	@Override
	public boolean isWin() {
		return true;
	}

}
